Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-gtk-3.22/editgui.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Functions
editgui.h File Reference
`#include <gtk/gtk.h>`
`#include "editor.h"`
`#include "editgui_g.h"`

Go to the source code of this file.

## Data Structures

struct | editbar
struct | editinfobox

## Functions

gboolean | handle_edit_mouse_button_press (GdkEventButton *ev)
gboolean | handle_edit_mouse_button_release (GdkEventButton *ev)
gboolean | handle_edit_mouse_move (GdkEventMotion *ev)
gboolean | handle_edit_key_press (GdkEventKey *ev)
gboolean | handle_edit_key_release (GdkEventKey *ev)
void | editgui_create_widgets (void)
void | editgui_free (void)
struct editbar * | editgui_get_editbar (void)
struct editinfobox * | editgui_get_editinfobox (void)

## Function Documentation

## ◆ editgui_create_widgets()

void editgui_create_widgets | ( | void |  | ) |

Create all editor GUI widgets.

Definition at line 1822 of file editgui.c.

## ◆ editgui_free()

void editgui_free | ( | void |  | ) |

Free everything allocated for the editgui.

Definition at line 1835 of file editgui.c.

## ◆ editgui_get_editbar()

struct editbar * editgui_get_editbar | ( | void |  | ) |

Get the pointer for the editbar embedded in the client's GUI.

Definition at line 1788 of file editgui.c.

## ◆ editgui_get_editinfobox()

struct editinfobox * editgui_get_editinfobox | ( | void |  | ) |

Return a pointer to the editor info box embedded in the client's GUI.

Definition at line 1853 of file editgui.c.

## ◆ handle_edit_key_press()

gboolean handle_edit_key_press | ( | GdkEventKey * | ev | ) |

Handle any kind of key press event.

Definition at line 1662 of file editgui.c.

Referenced by toplevel_key_press_handler(), and toplevel_key_press_handler().

## ◆ handle_edit_key_release()

gboolean handle_edit_key_release | ( | GdkEventKey * | ev | ) |

Key release handler.

Definition at line 1780 of file editgui.c.

Referenced by toplevel_key_release_handler().

## ◆ handle_edit_mouse_button_press()

gboolean handle_edit_mouse_button_press | ( | GdkEventButton * | ev | ) |

Pass on the gdk mouse event to the editor's handler.

Definition at line 940 of file editgui.c.

Referenced by butt_down_mapcanvas(), left_butt_down_mapcanvas(), middle_butt_down_mapcanvas(), and right_butt_down_mapcanvas().

## ◆ handle_edit_mouse_button_release()

gboolean handle_edit_mouse_button_release | ( | GdkEventButton * | ev | ) |

Pass on the gdk mouse event to the editor's handler.

Definition at line 956 of file editgui.c.

Referenced by butt_release_mapcanvas(), left_butt_up_mapcanvas(), and right_butt_up_mapcanvas().

## ◆ handle_edit_mouse_move()

gboolean handle_edit_mouse_move | ( | GdkEventMotion * | ev | ) |

Pass on the gdk mouse event to the editor's handler.

Definition at line 971 of file editgui.c.

Referenced by move_mapcanvas(), and move_mapcanvas().